<?php
/**
 * plugins/abook_imsp/setup.php -- Main setup script
 *
 * SquirrelMail IMSP Addressbook backend 
 * Veghead <veg@gold.ac.uk>
 *
 * $Id: setup.php,v 1.1.1.1 2004/09/01 10:48:46 root Exp $
 */

// make sure SM_PATH is defined
if (!defined('SM_PATH'))  {
    define('SM_PATH','../../');
}

/**
 * init function
 */
function squirrelmail_plugin_init_abook_imsp() {
  global $squirrelmail_plugin_hooks;

  $squirrelmail_plugin_hooks['abook_init']['abook_imsp'] = 'abook_imsp_init';
  $squirrelmail_plugin_hooks['abook_add_class']['abook_imsp'] = 'abook_imsp_class';
}

/**
 * Initialized address book backend
 */
function abook_imsp_init(&$argv) {
    // Get the arguments
    $hookName = &$argv[0];
    $abook = &$argv[1];
    $r = &$argv[2];

    // FIXME: if you want to include translations with your plugin
    //        change this 'locale' to 'plugins/plugin-name/locale'
    bindtextdomain ('abook_imsp', SM_PATH . 'locale');
    textdomain ('abook_imsp');

    // FIXME: add your backend init options in array()
    $r=$abook->add_backend('imsp',array('name'=>_("IMSP (Mulberry)")));

    bindtextdomain ('squirrelmail', SM_PATH . 'locale');
    textdomain ('squirrelmail');
}

function abook_imsp_class() {
    // FIXME: if you want to include translations with your plugin
    //        change this 'locale' to 'plugins/plugin-name/locale'
    bindtextdomain ('abook_imsp', SM_PATH . 'locale');
    textdomain ('abook_imsp');

    require_once(SM_PATH . 'plugins/abook_imsp/abook_class.php');

    bindtextdomain ('squirrelmail', SM_PATH . 'locale');
    textdomain ('squirrelmail');
}

/**
 * shows plugin's version
 * @return string
 */
function abook_imsp_version() {
  return '1.0';
}
?>
